import { jsx } from "react/jsx-runtime";
import { TrafficSignIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TrafficSign = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "TrafficSign", ...props, children: /* @__PURE__ */ jsx(TrafficSignIcon, { weight: variant }) });
  }
);
TrafficSign.displayName = "TrafficSign";
Object.assign(TrafficSign, { isGdsIcon: true });
export {
  TrafficSign
};
